﻿@model Teste1.DOMAIN

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Edit</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>DOMAIN</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.ID)

        @Html.HiddenFor(model => model.DomainName)

        @Html.HiddenFor(model => model.Status)

        @Html.HiddenFor(model => model.RedirectionStatus)

        @Html.HiddenFor(model => model.RedirectionHosts)

        @Html.HiddenFor(model => model.Account)

        @Html.HiddenFor(model => model.RetainMode)

        @Html.HiddenFor(model => model.PollForMessages)

        @Html.HiddenFor(model => model.UpStreamHost)

        @Html.HiddenFor(model => model.PollInterval)

        @Html.HiddenFor(model => model.AliasMode)

        @Html.HiddenFor(model => model.AliasValue)

        <div class="form-group">
            @Html.LabelFor(model => model.SmartHostUID, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SmartHostUID, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.SmartHostUID, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.SmartHostPWD, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SmartHostPWD, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.SmartHostPWD, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
